View Issue Details

IDProjectCategoryView StatusLast Update
0001561SkyChart1-Softwarepublic16-11-07 16:17
ReporterBernard Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionno change required 
PlatformHP Pavilion 14" Intel core i5OSWindows 10 64 bitsOS Version1607
Product Version3.10 
Summary0001561: Error when choosing the Ascom telescope driver
DescriptionI have installed ASCOM 6.2, an error has been shown but ascom-talk forum says this error should not affect the operations. Then i install the EQASCOM and i can manage my mount at this stage. If i install Stellarium + Stellarium Scope i can also connect my mount and manage it.
But if i install Skychart 3.1-2854, 32 bits version ? but not sure, i cannot select the mount. The initial choice box says POTH.Telescope and when i click on Choice i get an error window.
TagsNo tags attached.

Activities

Bernard

16-11-06 10:46

reporter  

Capture2.JPG (53,467 bytes)   
Capture2.JPG (53,467 bytes)   

Bernard

16-11-06 10:47

reporter  

Capture6.JPG (75,724 bytes)   
Capture6.JPG (75,724 bytes)   

Bernard

16-11-06 10:47

reporter  

Capture7.JPG (22,465 bytes)   
Capture7.JPG (22,465 bytes)   

Bernard

16-11-06 10:48

reporter  

Capture1.JPG (43,047 bytes)   
Capture1.JPG (43,047 bytes)   

Bernard

16-11-06 11:00

reporter   ~0003390

I saw this link "https://sourceforge.net/projects/skychart/files/0-beta/2016-10-31/skychart-3.11-3311-windows-x64.exe/download" in the beta versions.
Here its a 64bits version. I am trying this one.

Bernard

16-11-06 11:10

reporter  

Capture9.JPG (40,774 bytes)   
Capture9.JPG (40,774 bytes)   

Bernard

16-11-06 11:14

reporter   ~0003391

So, i think i have found the answer......
I have the same error with this 64 bits version, but....
Each timle i opened the "telescope" menu, then i click in the "choix" button on top of this screen, and i get the error.
Now i tried to click directly in "configurer" and i get a second box asking for the choice of mount !!!! I chose EQMOD / ASCOM HEQ5/6 and i can connect the mount.
So, all my issue seems to be a wrong usage.... But i woulds say that the documentation is a bit unclear as it says only "selectionner" without clearly saying which button to use....
Anyway, i will go on now.

But : why is there a 32bit in the standard version and a 64bits only in the Beta version ?

Regards,

Bernard

Patrick Chevalley

16-11-06 16:56

administrator   ~0003392

Thank you for the details.

The doc is right, you must normally click "Choix" and select your driver. In this case the connection is Skychart->Eqmod

When you click "Configurer" you configure the POTH driver to use EQmod. This make the connection to be Skychart->POTH->Eqmod

What is strange is you are the first to report this problem more than two years after the release of 3.10 and I use myself the version 3.11 64bit on Win10 with Eqmod. So we must search something specific to your setup.

I have problem in the past with the ASCOM Chooser in 64bit, this is one of the reason there in no 3.10 64bit. But this is now fixed and 3.11 work well.

Can you confirm that when you click "Choix" it show first your Capture6, then Capture7 ?

A strange point in Capture6 is the Chooser search for HKLM\SOFTWARE\ASCOM but this not exist, on my computer it is HKCU\SOFTWARE\ASCOM

And Capture7 look like the Chooser was not fully initialized as text are missing.

Can you download and run the script test.js I add below your screenshot, it do exactly what Skychart do when you click this button.

Patrick Chevalley

16-11-06 16:59

administrator  

test.js (97 bytes)

Bernard

16-11-06 21:02

reporter  

Capture11.JPG (67,558 bytes)   
Capture11.JPG (67,558 bytes)   

Bernard

16-11-06 21:06

reporter   ~0003393

The script gives exactly the same result as capture6 and then 7.
I have the same results with V3.11 64 bits.
My windows setup has been modified because i replaced my HDD by a SSD. I choose to reinstall Windows from scratch, so its a brand new windows 10 64 bits. And all these tests on CdC are now on the new installation. Before i used CdC with Eqmod and it worked normally. So i guess that something has changed in this new installation.
But what....

Patrick Chevalley

16-11-07 16:17

administrator   ~0003394

Nice you make it working with the registry fix!

I close this issue now.
Here the link to the ASCOM discussion with all the details:
https://groups.yahoo.com/neo/groups/ASCOM-Talk/conversations/topics/36569

Issue History

Date Modified Username Field Change
16-11-06 10:46 Bernard New Issue
16-11-06 10:46 Bernard File Added: Capture2.JPG
16-11-06 10:47 Bernard File Added: Capture6.JPG
16-11-06 10:47 Bernard File Added: Capture7.JPG
16-11-06 10:48 Bernard File Added: Capture1.JPG
16-11-06 11:00 Bernard Note Added: 0003390
16-11-06 11:10 Bernard File Added: Capture9.JPG
16-11-06 11:14 Bernard Note Added: 0003391
16-11-06 16:56 Patrick Chevalley Note Added: 0003392
16-11-06 16:59 Patrick Chevalley File Added: test.js
16-11-06 21:02 Bernard File Added: Capture11.JPG
16-11-06 21:06 Bernard Note Added: 0003393
16-11-07 16:17 Patrick Chevalley Note Added: 0003394
16-11-07 16:17 Patrick Chevalley Status new => resolved
16-11-07 16:17 Patrick Chevalley Resolution open => no change required